Subject: Re: [AVTCORE] I-D Action: draft-ietf-avtcore-rtp-topologies-update-02.txt

From: Bo Burman <[email-masked]>
Date: Wed, 11 Jun 2014 09:39:15 +0000

Hi all,

I reviewed this as a part of the ongoing update of the taxonomy draft to try to align them, and have the following comments on the topologies-update-02:

* What is meant with "Media Flow" in 3.2.1.3; is it a set of RTP Streams? In that case, does this set have any specific characteristics?

* (At least) in 3.2.2 and 3.3.3, the term "flow" is used in "RTP flow" or "packet flow"; how is that different from taxonomy RTP Stream?

* The terms "transport flow" or just "flow" are heavily used in 3.4; again, as with "Media Flow", is there any specific distinction assumed in this besides possibly being a set of RTP Streams?

* The term "RTP media stream" is used in many places; is there an intended specialization compared to a (generic) RTP Stream?

* What is a "Content source" in 3.6? Is it a Media Source?

* What is a "Conference session" in 3.6? Is it a Communication Session, or some specialization of it?

* Can you explain a bit of what is a "Session participant" in 3.6? There are discussions on the use of End Point and/or Participant in taxonomy, so I'm hesitant to suggest any taxonomy term right now since it may change.

* The stand-alone term "stream" is used in many places throughout the document. I think it very reasonable to just assume it is a short for "RTP Stream", but you may want to make such comment early on in the document. I found no place in the document where such assumption would be invalid.

* The term "global session" is used in 3.6; I find it a bit hard to understand what is meant.

* Section 3.6.1 could possibly benefit from using the taxonomy term "Encoded Stream"

* Nit: Figure 3 (in 3.2.1.3) and Figure 4 (in 3.2.2) have the same caption; is this intended?

Cheers,
Bo

> -----Original Message-----
> From: Stephan Wenger [mailto:[email-masked]]
> Sent: den 27 maj 2014 19:38
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; Bo Burman; [email-masked]; [email-masked]
> Subject: Re: [AVTCORE] I-D Action: draft-ietf-avtcore-rtp-topologies-update-02.txt
> 
> Hi all,
> 
> Magnus and I just posted an update to the topologies-update draft.  There are a few editorial changes elsewhere, but
> the substance of the update from -01 to -02 is in section 4.  We authors believe that the draft is now complete to the
> point a draft of this nature can be complete--people will continue to dream up new topologies in the future.  Insofar, this
> draft can only be a snapshot of the current situation, as it is know to us.
> 
> Any review is welcome.  We would especially like to invite the authors of the taxonomy draft (in CC) to check whether,
> and where, alignment with their document is required or desirable.  Thanks in advance.
> 
> Our hope is that the draft can be last-called soon.
> 
> Thanks,
> Stephan
> 
> 
> 
> On 27.5.14, 10:26, "[email-masked]" <[email-masked]>
> wrote:
> 
> >
> >A New Internet-Draft is available from the on-line Internet-Drafts
> >directories.
> > This draft is a work item of the Audio/Video Transport Core
> >Maintenance Working Group of the IETF.
> >
> >        Title           : RTP Topologies
> >        Authors         : Magnus Westerlund
> >                          Stephan Wenger
> >	Filename        : draft-ietf-avtcore-rtp-topologies-update-02.txt
> >	Pages           : 43
> >	Date            : 2014-05-27
> >
> >Abstract:
> >   This document discusses point to point and multi-endpoint topologies
> >   used in Real-time Transport Protocol (RTP)-based environments.  In
> >   particular, centralized topologies commonly employed in the video
> >   conferencing industry are mapped to the RTP terminology.
> >
> >   This document is updated with additional topologies and is intended
> >   to replace RFC 5117.
> >
> >
> >The IETF datatracker status page for this draft is:
> >https://datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-topologies-upda
> >te/
> >
> >There's also a htmlized version available at:
> >http://tools.ietf.org/html/draft-ietf-avtcore-rtp-topologies-update-02
> >
> >A diff from the previous version is available at:
> >http://www.ietf.org/rfcdiff?url2=draft-ietf-avtcore-rtp-topologies-upda
> >te-
> >02
> >
> >
> >Please note that it may take a couple of minutes from the time of
> >submission until the htmlized version and diff are available at
> >tools.ietf.org.
> >
> >Internet-Drafts are also available by anonymous FTP at:
> >ftp://ftp.ietf.org/internet-drafts/
> >
> >_______________________________________________
> >Audio/Video Transport Core Maintenance
> >[email-masked]
> >https://www.ietf.org/mailman/listinfo/avt